Rensei docs

Register a remote A2A agent

Discovers and persists an `AgentCard` from the supplied URL. The platform fetches `<url>/.well-known/agent-card.json` (or the URL itself if it returns a valid AgentCard) and stores the result. Validation / discovery errors are surfaced as 400. Auth: session cookie via `requireOrgAccess()` (cookie-only today).

POST
/api/a2a/agents

Authorization

cookieAuth
cookiewos-session<token>

WorkOS AuthKit browser session cookie.

Request Body

application/json
  1. body
url*string

Base URL of the remote agent (discovery endpoint).

Formaturi
trustLevel?string
Default"external"
Value in"internal""partner""external"

Response Body

Agent registered and AgentCard discovered.

application/json
  1. response
agent*

A registered remote A2A agent for the org.

Example Request
curl -X POST 'https://app.rensei.ai/api/a2a/agents' \  -H 'Content-Type: application/json' \  -d '{  "url": "http://example.com"}'
Example Response
{  "agent": {    "id": "string",    "orgId": "string",    "url": "http://example.com",    "trustLevel": "internal",    "card": {      "name": "string",      "version": "string",      "description": "string",      "supportedInterfaces": [        {          "url": "http://example.com",          "protocolBinding": "JSONRPC",          "protocolVersion": "1.0"        }      ],      "provider": {        "organization": "string",        "url": "http://example.com"      },      "capabilities": {        "streaming": true,        "pushNotifications": true      },      "securitySchemes": {},      "securityRequirements": [        {}      ],      "defaultInputModes": [        "string"      ],      "defaultOutputModes": [        "string"      ],      "skills": [        {}      ]    },    "lastFetchedAt": "2019-08-24T14:15:22Z",    "reachable": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}